websocket-sharp System.Enum Contains the values of the HTTP status codes. The HttpStatusCode enumeration contains the values of the HTTP status codes defined in RFC 2616 for HTTP 1.1.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 202. Indicates that the client's request has been accepted for processing, but the processing has not been completed.
- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 300. Indicates that the requested resource corresponds to any one of multiple representations.

  Ambiguous is a synonym for MultipleChoices.

- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 502. Indicates that a gateway or proxy server received an invalid response from the upstream server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 400. Indicates that the client's request could not be understood by the server due to malformed syntax.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 409. Indicates that the client's request could not be completed due to a conflict on the server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 100. Indicates that the client should continue with its request.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 201. Indicates that the client's request has been fulfilled and resulted in a new resource being created.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 417. Indicates that the expectation given in an Expect request header field could not be met by the server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 403. Indicates that the server understood the client's request but is refusing to fulfill it.
- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 302. Indicates that the requested resource is located temporarily under a different URI.

  Found is a synonym for Redirect.

- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 504. Indicates that a gateway or proxy server did not receive a timely response from the upstream server or some other auxiliary server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 410. Indicates that the requested resource is no longer available at the server and no forwarding address is known.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 505. Indicates that the server does not support the HTTP version used in the client's request.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 500. Indicates that the server encountered an unexpected condition which prevented it from fulfilling the client's request.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 411. Indicates that the server refuses to accept the client's request without a defined Content-Length.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 405. Indicates that the method specified in the request line is not allowed for the resource identified by the request URI.
- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 301. Indicates that the requested resource has been assigned a new permanent URI and any future references to this resource should use one of the returned URIs.

  Moved is a synonym for MovedPermanently.

- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 301. Indicates that the requested resource has been assigned a new permanent URI and any future references to this resource should use one of the returned URIs.

  MovedPermanently is a synonym for Moved.

- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 300. Indicates that the requested resource corresponds to any one of multiple representations.

  MultipleChoices is a synonym for Ambiguous.

- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 204. Indicates that the server has fulfilled the client's request but does not need to return an entity-body.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 203. Indicates that the returned metainformation is from a local or a third-party copy instead of the origin server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 406. Indicates that the server does not have the appropriate resource to respond to the accept headers in the client's request.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 404. Indicates that the server has not found anything matching the request URI.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 501. Indicates that the server does not support the functionality required to fulfill the client's request.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 304. Indicates that the client has performed a conditional GET request and access is allowed, but the document has not been modified.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 200. Indicates that the client's request has succeeded.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 206. Indicates that the server has fulfilled the partial GET request for the resource.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 402. This code is reserved for future use.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 412. Indicates that the precondition given in one or more of the request header fields evaluated to false when it was tested on the server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 407. Indicates that the client must first authenticate itself with the proxy.
- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 302. Indicates that the requested resource is located temporarily under a different URI.

  Redirect is a synonym for Found.

- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 307. Indicates that the requested resource is located temporarily under a different URI.

  RedirectKeepVerb is a synonym for TemporaryRedirect.

- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 303. Indicates that the response to the request can be found under a different URI and should be retrieved using a GET method on that resource.

  RedirectMethod is a synonym for SeeOther.

- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 416. Indicates that none of the range specifier values in a Range request header field overlap the current extent of the selected resource.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 413. Indicates that the client's request entity is larger than the server is willing or able to process.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 408. Indicates that the client did not produce a request within the time that the server was prepared to wait.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 414. Indicates that the request URI is longer than the server is willing to interpret.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 205. Indicates that the server has fulfilled the client's request and the user agent should reset the document view which caused the request to be sent.
- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 303. Indicates that the response to the request can be found under a different URI and should be retrieved using a GET method on that resource.

  SeeOther is a synonym for RedirectMethod.

- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 503. Indicates that the server is currently unable to handle the client's request due to a temporary overloading or maintenance of the server.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 101. Indicates that the server is switching the HTTP version or protocol on the connection.
- Field
  WebSocketSharp.Net.HttpStatusCode

  Equivalent to status code 307. Indicates that the requested resource is located temporarily under a different URI.

  TemporaryRedirect is a synonym for RedirectKeepVerb.

- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 401. Indicates that the client's request requires user authentication.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 415. Indicates that the entity of the client's request is in a format not supported by the requested resource for the requested method.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 306. This code was used in a previous version of the specification, is no longer used, and is reserved for future use.
- Field
  WebSocketSharp.Net.HttpStatusCode Equivalent to status code 305. Indicates that the requested resource must be accessed through the proxy given by the Location field.